Subject: May I visit you in Canada?

From: [email-masked] (Werner Gysi)
Date: 25 Apr 1996 04:15:52 GMT

As an active beekeeper in BC I will tour Canada starting May 20/96 until July 
27/96. I have written a book called "Harmonic Farming: a love style" and will 
do a promotional tour to bookstores and healthfood stores. If anyone would be 
willing to provide a spot to park the pop-up trailer while touring, please let 
me know. We are a family of 6. Stays would be brief. We look forward to meet 
you. Please send Email to [email-masked]. For more info on my book 
see http://www.jetstream.net/business/gooly